<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">
    <p-panel>
        <p-header>
            <!-- {{'global.field.id' | translate}} : {{billingDisbursement.idBilling}} -->
            <ul class="nav justify-content-end">
                <li class="nav-item" [hidden]="!(billingDisbursement.currentStatus !== 11 || billingDisbursement.currentStatus === 11)">
                    <a class="btn" (click)="canceled()" style="cursor: pointer;">
                        <span><i class="fa fa-remove"></i> &nbsp;{{'entity.action.cancel' | translate}}</span>
                    </a>
                </li>
                <li class="nav-item" [hidden]="billingDisbursement.currentStatus !== 12">
                    <a class="btn" (click)="completed()" style="cursor: pointer;">
                        <span><i class="fa fa-check"></i> &nbsp;{{'entity.action.completed' | translate}}</span>
                    </a>
                </li>
                <li class="nav-item" [hidden]="billingDisbursement.currentStatus !== 11">
                    <a class="btn" (click)="approved()" style="cursor: pointer;">
                        <span><i class="fa fa-check"></i> &nbsp;{{'entity.action.approve' | translate}}</span>
                    </a>
                </li>
                <li class="nav-item" [hidden]="billingDisbursement.currentStatus !== 10">
                    <a class="btn" (click)="activated()" style="cursor: pointer;">
                        <span><i class="fa fa-check"></i> &nbsp;{{'entity.action.activate' | translate}}</span>
                    </a>
                </li>
                <li class="nav-item">
                    <a class="btn" (click)="previousState()" style="cursor: pointer;">
                        <span><i class="fa fa-ban"></i> &nbsp;{{'entity.action.back' | translate}}</span>
                    </a>
                </li>
                <li class="nav-item" [hidden]="billingDisbursement.currentStatus === 17">
                    <a class="btn" (click)="save()" href="javascript:void(0)" style="cursor: pointer;">
                        <span><i class="fa fa-save"></i> &nbsp;{{'entity.action.save' | translate}}</span>
                    </a>
                </li>
            </ul>
        </p-header>
        <div class="card-deck" style="margin-bottom: 15px;">
            <div class="card">
                <div class="card-block">
                    <!-- <div class="form-group" [hidden]="!billingDisbursement.idBilling">
                        <label for="id" jhiTranslate="global.field.id">ID</label>
                        <input type="text" class="form-control" id="id" name="id" [(ngModel)]="billingDisbursement.idBilling" readonly />
                    </div> -->
                    <div class="form-group">
                        <label class="form-control-label" jhiTranslate="mpmApp.billingDisbursement.billingNumber" for="field_billingNumber">Billing Number</label>
                        <input type="text" class="form-control" name="billingNumber" id="field_billingNumber"
                            [(ngModel)]="billingDisbursement.billingNumber"  />
                    </div>
                    <div class="form-group">
                        <label class="form-control-label" jhiTranslate="mpmApp.billingDisbursement.dateCreate">Date Create</label>
                        <div class="input-group">
                            <p-calendar inputId="field_dateCreate" name="input_dateCreate" [(ngModel)]="dateCreate"
                                dateFormat="dd-MM-yy"
                                [showIcon]="true"></p-calendar>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="form-control-label" jhiTranslate="mpmApp.billingDisbursement.dateDue">Date Due</label>
                        <div class="input-group">
                            <p-calendar inputId="field_dateDue" name="input_dateDue" [(ngModel)]="dateDue"
                                dateFormat="dd-MM-yy"
                                [showIcon]="true"></p-calendar>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="form-control-label">Tgl Invoice</label>
                        <div class="input-group">
                            <p-calendar inputId="field_dateIssued" name="input_dateIssued" [(ngModel)]="dateIssued"
                                dateFormat="dd-MM-yy"
                                [showIcon]="true"></p-calendar>
                        </div>
                    </div>
                    <!-- <div class="form-group">
                        <label class="form-control-label">Tgl Invoice</label>
                        <div class="input-group">
                            <p-calendar inputId="field_dateIssued" name="input_dateIssued" [(ngModel)]="dateIssued"
                                dateFormat="dd-MM-yy"
                                [showIcon]="true"></p-calendar>
                        </div>
                    </div> -->
                    <div class="form-group">
                        <label class="form-control-label" jhiTranslate="mpmApp.billingDisbursement.vendorInvoice" for="field_vendorInvoice">Vendor Invoice</label>
                        <input type="text" class="form-control" name="vendorInvoice" id="field_vendorInvoice"
                            [(ngModel)]="billingDisbursement.vendorInvoice"/>
                    </div>

                    <div class="form-group">
                        <label jhiTranslate="mpmApp.billingDisbursement.billingType" for="field_billingType">Billing Type</label>
                        <select class="form-control" id="field_billingType" name="billingType" [(ngModel)]="billingDisbursement.billingTypeId" >
                            <option [ngValue]="null"></option>
                            <option [ngValue]="billingTypeOption.idBillingType" *ngFor="let billingTypeOption of billingtypes; trackBy: trackBillingTypeById">{{billingTypeOption.description}}</option>
                        </select>
                    </div>
                    <!-- <div class="form-group">
                        <label jhiTranslate="mpmApp.billingDisbursement.internal" for="field_internal">Internal</label>
                        <select class="form-control" id="field_internal" name="internal" [(ngModel)]="billingDisbursement.internalId" >
                            <option [ngValue]="null"></option>
                            <option [ngValue]="internalOption.idInternal" *ngFor="let internalOption of internals; trackBy: trackInternalById">{{internalOption.organization.name}}</option>
                        </select>
                    </div> -->
                    <div class="form-group">
                        <label jhiTranslate="mpmApp.billingDisbursement.vendor" for="field_vendor">Main Dealer</label>
                        <select class="form-control" id="field_vendor" name="vendor" [(ngModel)]="billingDisbursement.vendorId" >
                            <option [ngValue]="null"></option>
                            <option [ngValue]="vendorOption.idVendor" *ngFor="let vendorOption of vendors; trackBy: trackVendorById">{{vendorOption.organization.name}}</option>
                        </select>
                    </div>
                    <div class="form-group">
                        <label class="form-control-label" for="field_discountLine">Discount Invoice</label>
                        <input currencyMask class="form-control" name="discountLine" id="field_discountLine"
                            [(ngModel)]="billingDisbursement.discountLine" (blur)="hitungHargaInputManualheader()"
                            [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }" />
                    </div>
                    <div class="form-group">
                        <label class="form-control-label" 
                        for="field_freightcost">Ongkos Angkut </label>
                        <input currencyMask class="form-control" name="freightCost" 
                        id="field_freightcost"
                            [(ngModel)]="billingDisbursement.freightCost" (blur)="hitungHargaInputManualheader()"
                            [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }"
                            />
                    </div>
                    <div class="form-group">
                        <label class="form-control-label" 
                        for="field_totFreightcost">Total Invoice </label>
                        <input currencyMask class="form-control" name="totFreightcost" 
                        id="field_totFreightcost"
                            [(ngModel)]="billingDisbursement.totalFeightCost"
                            [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }"
                           readonly/>
                    </div>
                     <div class="pull-right" style="margin-left:10px;">
                        <button pButton 
                            type="button" 
                            icon="fa-floppy-o"
                            (click)="calculate(billingDisbursement)"
                            label="calculate"
                            class="ui-button-danger pull-right flat-label-button">
                        </button>
                    </div>
                    <!-- <div class="ui-g-12">
                        <div class="ui-g-4">                        
                            <button type="button"
                                class="btn btn-primary btn-block"
                                (click)="calculate(billingDisbursement)">
                                <span class="fa fa-print"></span>&nbsp;Print
                            </button>
                        </div>
                    </div> -->
                </div>
            </div>
        </div>
        <jhi-billing-item-in-billing-disbursement-as-list [idBilling]="idBilling"></jhi-billing-item-in-billing-disbursement-as-list>
    </p-panel>
</form>
<p-confirmDialog></p-confirmDialog>